#ifndef MAD_CORE_COMMON_WATCHDOG_H
#define MAD_CORE_COMMON_WATCHDOG_H

#include "common/types.h"

// Timeout Flags
#define WDT2000 0x7  // 2000 ms
#define WDT1000 0x6  // 1000 ms
#define WDT500  0x5  //  500 ms
#define WDT250  0x4  //  250 ms
#define WDT100  0x3  //  100 ms
// XXX: WDT...

void  WDT_Enable(void);
void  WDT_SetTimeoutFlag(byte flag);
bool  WDT_HasTriggered(void);
void  WDT_Disable(void);
void  WDT_Reset(void);

#endif // MAD_CORE_COMMON_WATCHDOG_H
